Page 1 of 2 12 LastLast
Results 1 to 10 of 15

Thread: KDE PLASMA 5 - Cannot launch graphical display after upgrade attempt to KDE Plasma 5.8 from 5.5.5

  1. #1

    Smile KDE PLASMA 5 - Cannot launch graphical display after upgrade attempt to KDE Plasma 5.8 from 5.5.5

    I cannot launch the graphical desktop after attempting to upgrade KDE Plasma 5.5.5 to KDE Plasma 5.8 through the KDE repositories.

    After adding the KDE repositories, I did 'zypper up' and confirmed all the modifications. Once I rebooted, I was sent to the command line terminal. 'startx' and 'startkde' would give me errors, so I did a bit if Googling and found out that KDE Plasma 5.8 requires a newer version of Qt from the KDE repositories. I did add those repositories and then did 'zypper up' again, to no avail. I also tried 'zypper dup' but that didn't make any difference. I attempted removing the KDE repositories to recover the default OpenSUSE versions and then did a 'zypper up' again to downgrade back to KDE Plasma 5.5.5, but that didnt work either. I believe, due to my lack of experience and ignorance, that I've completely screwed up my packages. Thank you for your patience, time and kindness.

    Here are various logs that may be relevant to the problem:
    https://www.dropbox.com/sh/rh1jaq68k...y9GRjPSZa?dl=0

    Includes:
    Xorg.0.log
    installed-packages.txt
    repos.txt
    startkde.log
    uname.txt
    xorg.conf
    lspci.txt

    Please assist me in recovering the graphical interface with KDE, preferably with Plasma 5.8

  2. #2
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,587
    Blog Entries
    14

    Default Re: KDE PLASMA 5 - Cannot launch graphical display after upgrade attempt to KDE Plasma 5.8 from 5.5.

    If you followed the defaults, your filesystem for the install is btrfs, restore a snapshot from before the attempted upgrade. Next reperform the upgrade, but only after carefully reading instructions to do this. My advice would be to wait for a couple of days and then upgrade to 42.2 ( which has KDE 5.8 )
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  3. #3

    Default Re: KDE PLASMA 5 - Cannot launch graphical display after upgrade attempt to KDE Plasma 5.8 from 5.5.

    Unfortunately, I am using the XFS filesystem. I don't know id I can restore a snapshot using this partition scheme. I suppose I could backup my home directory and then reinstall openSUSE, but this time, I may format the partition as BtrFS.

    Is it possible to install Leap 42.2 as of now?

  4. #4
    Join Date
    Aug 2008
    Location
    Brazil
    Posts
    2,843

    Default Re: KDE PLASMA 5 - Cannot launch graphical display after upgrade attempt to KDE Plasma 5.8 from 5.5.

    Quote Originally Posted by sergalscript View Post
    Unfortunately, I am using the XFS filesystem.
    Both for root and /home? IINM a default installation creates separate partitions for these and formats root as btrf, and only /home as XFS.

  5. #5

    Default Re: KDE PLASMA 5 - Cannot launch graphical display after upgrade attempt to KDE Plasma 5.8 from 5.5.

    In any case, you should be able to fix your system by disabling/removing all non-standard repos (with yast, which works in text mode too, or zypper) and run "zypper dup".

    And that brings us to the major mistake you made (in addition to not upgrade Qt5): you need to use "zypper dup --from xxx" to fully switch to the repos, not "zypper up" (not to mention that "zypper up" should actually not install anything at all because it won't switch packages to other repos by default). Or click on "Switch system packages" in YaST.
    https://en.opensuse.org/SDB:Vendor_c..._Vendor_change
    Otherwise you likely end up with mixed packages from different repos.
    Doing that now should also fix your system.

    If you need more specific help, please post your repo list:
    Code:
    zypper lr -d

  6. #6

    Default Re: KDE PLASMA 5 - Cannot launch graphical display after upgrade attempt to KDE Plasma 5.8 from

    Quote Originally Posted by wolfi323 View Post
    If you need more specific help, please post your repo list:
    Code:
    zypper lr -d
    Ok, just noticed it is provided already anyway:
    Code:
    #  | Alias                               | Name                                                         | Enabled | GPG Check | Refresh---+-------------------------------------+--------------------------------------------------------------+---------+-----------+--------
     1 | KDE_Frameworks5                     | KDE Frameworks 5 development repository (openSUSE_Leap_42.1) | Yes     | (r ) Yes  | No     
     2 | KDE_Qt5                             | The Qt5 development repository (openSUSE_Leap_42.1)          | Yes     | (r ) Yes  | No     
     3 | download.opensuse.org-non-oss       | Main Repository (NON-OSS)                                    | Yes     | (r ) Yes  | Yes    
     4 | download.opensuse.org-non-oss_1     | Update Repository (Non-Oss)                                  | Yes     | (r ) Yes  | Yes    
     5 | download.opensuse.org-oss           | Main Repository (OSS)                                        | Yes     | (r ) Yes  | Yes    
     6 | download.opensuse.org-oss_1         | Main Update Repository                                       | Yes     | (r ) Yes  | Yes    
     7 | http-download.nvidia.com-eac7deaf   | nVidia Graphics Drivers                                      | Yes     | (r ) Yes  | Yes    
     8 | http-download.opensuse.org-006bd80e | Printing                                                     | Yes     | (r ) Yes  | Yes    
     9 | http-download.opensuse.org-17431d1f | multimedia:libs                                              | Yes     | (r ) Yes  | Yes    
    10 | http-download.opensuse.org-1cf04309 | home:X0F:HSF                                                 | Yes     | (r ) Yes  | Yes    
    11 | http-download.opensuse.org-343182fc | network:telephony                                            | Yes     | (r ) Yes  | Yes    
    12 | http-download.opensuse.org-4a97ab97 | games:tools                                                  | Yes     | (r ) Yes  | Yes    
    13 | http-download.opensuse.org-651d3b30 | home:X0F:branches:network                                    | Yes     | (r ) Yes  | Yes    
    14 | http-download.opensuse.org-6556c0fe | home:bgta:desktop                                            | Yes     | (r ) Yes  | Yes    
    15 | http-download.opensuse.org-6fcda10b | Kernel:stable                                                | Yes     | (r ) Yes  | Yes    
    16 | http-download.opensuse.org-946ff299 | home:X0F                                                     | Yes     | (r ) Yes  | Yes    
    17 | http-download.opensuse.org-a3fa5a56 | X11:XOrg                                                     | Yes     | (r ) Yes  | Yes    
    18 | http-download.opensuse.org-ae539287 | games:tools                                                  | Yes     | (r ) Yes  | Yes    
    19 | http-download.opensuse.org-bb45e847 | server:database                                              | Yes     | (r ) Yes  | Yes    
    20 | http-download.opensuse.org-c4505349 | devel:languages:nodejs                                       | Yes     | (r ) Yes  | Yes    
    21 | http-download.opensuse.org-d06f13a5 | home:X0F:branches:multimedia                                 | Yes     | (r ) Yes  | Yes    
    22 | http-download.opensuse.org-d0cf9ee2 | home:sbrabec                                                 | Yes     | (r ) Yes  | Yes    
    23 | http-download.opensuse.org-d50e22a8 | multimedia:apps                                              | Yes     | (r ) Yes  | Yes    
    24 | http-download.opensuse.org-d9fda2f3 | devel:languages:nodejs                                       | Yes     | (r ) Yes  | Yes    
    25 | http-download.opensuse.org-dd254caa | games:tools                                                  | Yes     | (r ) Yes  | Yes    
    26 | http-download.opensuse.org-ef0c9083 | mozilla:Factory                                              | Yes     | (r ) Yes  | Yes    
    27 | http-download.opensuse.org-f00822c0 | devel:languages:ocaml                                        | Yes     | (r ) Yes  | Yes    
    28 | http-download.opensuse.org-f60ef86d | X11:Utilities                                                | Yes     | (r ) Yes  | Yes    
    29 | openSUSE-42.1-0                     | openSUSE-42.1-0                                              | Yes     | (r ) Yes  | Yes    
    30 | packman                             | packman                                                      | Yes     | (r ) Yes  | Yes    
    31 | repo-debug                          | openSUSE-Leap-42.1-Debug                                     | No      | ----      | Yes    
    32 | repo-debug-non-oss                  | openSUSE-Leap-42.1-Debug-Non-Oss                             | No      | ----      | Yes    
    33 | repo-debug-update                   | openSUSE-Leap-42.1-Update-Debug                              | No      | ----      | Yes    
    34 | repo-debug-update-non-oss           | openSUSE-Leap-42.1-Update-Debug-Non-Oss                      | No      | ----      | Yes    
    35 | repo-source                         | openSUSE-Leap-42.1-Source                                    | No      | ----      | Yes    
    36 | repo-update                         | openSUSE-Leap-42.1-Update                                    | Yes     | (r ) Yes  | Yes
    Are you sure you really need all of that?
    That is just begging for problems...

    Anyway, running "sudo zypper dup --from 1 --from 2" should make Plasma (5.8) work again hopefully.

    Though, you didn't post the repo URLs, just the names. So this list is basically useless, as it doesn't show what repos those really are.
    So please still post "zypper lr -d" as well anyway.
    Last edited by wolfi323; 11-Nov-2016 at 11:18.

  7. #7

    Default Re: KDE PLASMA 5 - Cannot launch graphical display after upgrade attempt to KDE Plasma 5.8 from 5.5.

    PS: your real problem is a broken nvidia driver installation though.
    See this excerpt from your Xorg.0.log:
    Code:
    [  7821.608] (EE) NVIDIA: Failed to initialize the NVIDIA kernel module. Please see the
    [  7821.608] (EE) NVIDIA:     system's kernel log for additional error messages and
    [  7821.608] (EE) NVIDIA:     consult the NVIDIA README for details.
    [  7821.608] (EE) No devices detected.
    The reason likely is that you installed kernel 4.8.7-1.gc8f02a2-default from somewhere.
    Did you compile the nvidia kernel module/reinstall the driver afterwards?

    I think I do have to go through your list of installed packages...

    But actually your system is more like Tumbleweed than Leap 42.1 (with e.g. Kernel:stable and X11:XOrg active).
    Would probably be easier to just upgrade to Tumbleweed proper, you won't need most additional repos then anyway...
    Last edited by wolfi323; 11-Nov-2016 at 11:25.

  8. #8

    Default Re: KDE PLASMA 5 - Cannot launch graphical display after upgrade attempt to KDE Plasma 5.8 from 5.5.

    Ok, run this and the nvidia driver will hopefully work again:
    Code:
    sudo zypper in -f nvidia-gfxG04-kmp-default
    And remember that you may have to reinstall it after a kernel upgrade in the future (and be aware that the nvidia driver may not support a major new kernel or Xorg version immediately, that's one of the reasons why it's not recommended to use it on Tumbleweed).

    The rpm packages are only designed to work with the kernel included in the distribution. Or, in other words, there is no guarantee that a kernel update will be compatible enough to keep the driver working (unlike in a stable release like Leap). Actually it is guaranteed to break, with major new versions at least (so watch out for kernel 4.9.0... )

  9. #9

    Default Re: KDE PLASMA 5 - Cannot launch graphical display after upgrade attempt to KDE Plasma 5.8 from 5.5.

    Quote Originally Posted by wolfi323 View Post
    Ok, run this and the nvidia driver will hopefully work again:
    Code:
    sudo zypper in -f nvidia-gfxG04-kmp-default
    And remember that you may have to reinstall it after a kernel upgrade in the future (and be aware that the nvidia driver may not support a major new kernel or Xorg version immediately, that's one of the reasons why it's not recommended to use it on Tumbleweed).

    The rpm packages are only designed to work with the kernel included in the distribution. Or, in other words, there is no guarantee that a kernel update will be compatible enough to keep the driver working (unlike in a stable release like Leap). Actually it is guaranteed to break, with major new versions at least (so watch out for kernel 4.9.0... )
    Hey there, friend. Thank you for your time. Unfortunately, so far, reinstalling the Nvidia drivers and then running 'startx' as root and unprivileged user did not work and produced a similar Xorg.0.log.

    I have created a new directory with the updated log files and information that might be relevant in diagnosing the problem, along with the output of 'zypper lr -d'.

    I am new to openSUSE, and I believe the main reason that I have a large amount of repos is because most software that I wish to use do not have stable releases as far as I know. Telegram, for example, is a program that I frequently use. If this is not the most optimal way to install packages, please enlighten me on this. Appreciated!

    Dropbox: logs-2/
    https://www.dropbox.com/sh/kj4umnw7q...wEautLP5a?dl=0

    Contains:
    installed-packages.txt
    repos.txt # with '-d' option
    Xorg.0.log # after Nvidia driver installation
    xorg.conf

  10. #10

    Default Re: KDE PLASMA 5 - Cannot launch graphical display after upgrade attempt to KDE Plasma 5.8 from 5.5.

    'sudo zypper dup --from 1 --from 2' only updated susehelp-2009-10.06-4.1.noarch.rpm from KDE_Frameworks5.

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •